<?php

error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);
//error_reporting(E_ALL);

// die Konfigurationsdateien lesen
include "inc/config.php"; 

// Session starten
session_start();
if (!isset($_SESSION['IP']))
	{
		$_SESSION['IP'] = $_SERVER['REMOTE_ADDR'];
	}
if ($_SESSION['IP'] != $_SERVER['REMOTE_ADDR'])
	{
		die ("<p class=\"error\">Sie dürfen nicht die Session von einem anderen user Benutzten. Bitte benutzen Sie folgenden Link um zur Homepage zu gelangen.<a href=\"/\">Zurück zur Homepage</a></p>");
	}

// Verbindung zu MySQL Aufbauen
$db = @new MySQLi(MYSQL_HOST, MYSQL_USER, MYSQL_PASS, MYSQL_DATABASE);
$db->set_charset('utf8');
if (mysqli_connect_errno())
	{
		die('Konnte keine Verbindung zu Datenbank aufbauen, MySQL meldete: '.mysqli_connect_error());
	}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n";
echo "         \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n";
echo "<html>\n";
echo "	<head>\n";
echo "		<title>R!ST Admin</title>\n";
echo "		<link rel=\"stylesheet\" media=\"screen\" type=\"text/css\" href=\"css/page.css\" />\n";
echo "		<link rel=\"stylesheet\" media=\"print\" type=\"text/css\" href=\"css/print.css\" />\n";
echo "		<link rel=\"stylesheet\" media=\"print\" type=\"text/css\" href=\"css/jquery-ui-1.8.16.custom.css\" />\n";
echo "		<script src=\"js/jquery-1.6.2.min.js\"></script>\n";
echo "		<script src=\"js/jquery-ui-1.8.16.custom.min.js\"></script>\n";
if ( isset ( $_GET['action'] ) AND $_GET['action'] == "logout" )
	{
		echo "        <meta http-equiv=\"refresh\" content=\"0; URL=index.php\"> \n";
	}

?>

		<script>
			function hide_blende ()
				{
					var blende = document.getElementById('blende');
					blende.style.visibility	= 'hidden';
					blende.style.display	= 'none';
				}

			function show_blende ()
				{
					var blende = document.getElementById('blende');
					blende.style.visibility	= 'visible';
					blende.style.display	= 'block';
					window.setTimeout(hide_blende, 2500);
				}

			function setRowStyles ( elem , status )
				{
					elem = elem.firstChild;
					if ( status == 'aktiv' )
						{
							elem.style.backgroundColor	= '#0000FF';
							elem.style.color			= '#FFFFFF';
						}
					if ( status == 'inaktiv' )
						{
							elem.style.backgroundColor	= '#FFFFFF';
							elem.style.color			= '#333333';
						}
					while ( elem = elem.nextSibling )
						{
							if ( status == 'aktiv' )
								{
									elem.style.backgroundColor	= '#0000FF';
									elem.style.color			= '#FFFFFF';
								}
							if ( status == 'inaktiv' )
								{
									elem.style.backgroundColor	= '#FFFFFF';
									elem.style.color			= '#333333';
								}
						}
				}
			
			function checkInputs ( )
				{
					var arrError		= new Array();
					var formular		= document.getElementById ( 'objekt' );
					var inputs			= document.getElementsByTagName ( 'input' );
					for ( var j = 0 ; j < inputs.length ; j++ )
						{
							if ( inputs[j].value != 'Rücksetzen' && inputs[j].value != 'Speichern' )
								{
									inputs[j].style.border					= '1px solid #666666';
								}
							if ( inputs[j].previousSibling )
								{
									if ( typeof ( inputs[j].previousSibling ) != 'undefined' && inputs[j].previousSibling.nodeName.toLowerCase() == 'label' )
										{
											inputs[j].previousSibling.style.color	= '';
										}
								}
						}
					if ( typeof ( formular.Baujahr ) !== 'undefined' )
						{
							if ( isNaN ( formular.Baujahr.value ) ) 							{ arrError.push ( 'Baujahr__Das Feld <b><i>Baujahr</i></b> enthält keine Jahreszahl!<br/>'																			); }
							else if ( formular.Baujahr.value.length !== 4 )						{ arrError.push ( 'Baujahr__Das Feld <b><i>Baujahr</i></b> muss eine 4-stellige Jahreszahl sein!<br/>'																); }
						}
					if ( typeof ( formular.Modern ) !== 'undefined' )											
						{
							if ( formular.Modern.value === '' )									{ }
							else if ( isNaN ( formular.Modern.value ) ) 						{ arrError.push ( 'Modern__Das Feld <b><i>letzte Modernisierung</i></b> enthält keine Jahreszahl!<br/>'																); }
							else if ( formular.Modern.value.length !== 4 )						{ arrError.push ( 'Modern__Das Feld <b><i>letzte Modernisierung</i></b> muss eine 4-stellige Jahreszahl sein!<br/>'													); }
							else if ( formular.Modern.value < formular.Baujahr.value )			{ arrError.push ( 'Modern__Das Feld <b><i>letzte Modernisierung</i></b> kann nicht älter als <b><i>Baujahr</i></b> sein!<br/>'										); }
						}
					if ( typeof ( formular.Zimmer ) !== 'undefined' )											
						{
							if ( isNaN ( formular.Zimmer.value ) )								{ arrError.push ( 'Zimmer__Das Feld <b><i>Zimmer</i></b> muss eine Zahl sein!<br/>'																					); }
							else if ( formular.Zimmer.value == 0 )								{ arrError.push ( 'Zimmer__Das Feld <b><i>Zimmer</i></b> muss mindestens 0.5 sein!<br/>'																			); }
						}
					if ( typeof ( formular.WohnF ) !== 'undefined' )											
						{
							if ( isNaN ( formular.WohnF.value ) )								{ arrError.push ( 'WohnF__Das Feld <b><i>Wohnfläche / Nutzfläche</i></b> muss eine Zahl sein!<br/>'																	); }
							else if ( formular.WohnF.value == 0 )								{ arrError.push ( 'WohnF__Das Feld <b><i>Wohnfläche / Nutzfläche</i></b> muss größer als 0 sein!<br/>'																); }
						}
					if ( typeof ( formular.Mkalt ) !== 'undefined' )											
						{
							if ( isNaN ( formular.Mkalt.value ) )								{ arrError.push ( 'Mkalt__Das Feld <b><i>Kaltmiete / Kaufpreis</i></b> muss eine Zahl sein!<br/>'																	); }
							else if ( formular.Mkalt.value == 0 )								{ arrError.push ( 'Mkalt__Das Feld <b><i>Kaltmiete / Kaufpreis</i></b> muss größer als 0 sein!<br/>'																); }
						}
					if ( typeof ( formular.EnerVKW ) !== 'undefined' )
						{
							if ( formular.EnerTyp.value !== 'keine Angabe' )					{ arrError.push ( 'EnerVKW__Das Feld <b><i>Verbrauchskennwert</i></b> darf nicht 0 sein, oder wählen Sie "keine Angabe" bei <b><i>Energieausweistyp</i></b><br/>'	); }
						}
					if ( typeof ( formular.PLZ ) !== 'undefined' )
						{
							if ( formular.PLZ.value == '' )									{ arrError.push ( 'PLZ__Das Feld <b><i>PLZ</i></b> darf nicht leer sein!<br/>'	); }
						}
					if ( arrError.length !== 0 )
						{
							var inhaltHeight			= document.getElementById ( 'inhalt' ).offsetHeight;
							var displayErrors			= document.getElementById ( 'objektErrors' );
							displayErrors.innerHTML		= "<img style='float:right;cursor:pointer;margin-top:38px;' src='./img/close.png'  onclick=\"document.getElementById('objektErrors').style.display='none';\" /><h2 style='float:left;margin-top:38px;'>Bei der Eingabe sind folgende Fehler aufgetreten:</h2><br class='fix'/><hr/><br/><p>";
							for ( var i = 0 ; i < arrError.length ; i++ )
								{
									var error			= arrError[i].split ( '__' );
									for ( j = 0 ; j < inputs.length ; j++ )
										{
											if ( inputs[j].getAttribute ( 'name' ) == error[0] )
												{
													inputs[j].style.border					= '1px solid red';
													inputs[j].previousSibling.style.color	= 'red';
												}
										}
									displayErrors.innerHTML += error[1];
								}
							displayErrors.innerHTML		+= "</p><br/><hr/><h2>Sie können das Objekt erst nach Korrektur und erneuter Überprüfung speichern!</h2>";
							displayErrors.style.height	= parseInt ( inhaltHeight ) + 'px';
							displayErrors.style.display	= 'block';
							scroll ( 0, 0 );
							
						}
					else
						{
							document.getElementById ( 'saveButton' ).disabled = '';
						}
				}
				
			var deniedKeys		= Array ( 34 , 38 , 39 , 47 , 59 , 60 , 62 , 92 , 94 , 126 , 132 , 139 , 145 , 146 , 147 , 148 , 155 , 168 , 171 , 184 , 187 , 8216 , 8217 , 8218 , 8220 , 8221 , 8222 , 8242 , 8249 , 8250 );
			var textareaLength;
			var deleteChars;
			var invalidChar;
			var legendText;
			var key;
			function checkForValidChar ( textarea , event , length )
				{
					key = event.keyCode | event.charCode;
					textareaLength	= textarea.value.length;
					deleteChars		= false;
					invalidChar		= '';
					if ( textareaLength >= length )
						{
							textareaLength	= length;
							deleteChars		= true;
						}
					for ( var i = 0 ; i < deniedKeys.length ; i++ )
						{
							if ( key == deniedKeys[i] )
								{
									deleteChars = true;
									invalidChar = key;
								}
						}
				}
			
			function deleteCharsFromTextarea ( textarea , length )
				{
					var legend;
					if ( textarea.nodeName.toLowerCase() === 'textarea' )
						{
							var fieldset		= textarea.parentNode;
							legend			= fieldset.getElementsByTagName ( 'legend' );
							legend			= legend[0];
						}
					else
						{
							legend			= textarea.previousSibling;
						}
					if ( deleteChars === true )
						{
							textarea.value = textarea.value.substring ( 0 , textareaLength );
						}
					if ( typeof ( legendText ) === 'undefined' )
						{
							legendText	= legend.innerHTML;
						}
					else if ( legend.innerHTML.substring ( 0 , legendText.length ) !== legendText )
						{
							legendText	= legend.innerHTML;
						}
					if ( legend.innerHTML.indexOf ( '<span' ) > -1 )
						{
							legendText	= legend.innerHTML.substring ( 0 , legend.innerHTML.indexOf ( '<span' ) );
						}
					legend.innerHTML	= legendText + '<span style="font-weight:normal;">&nbsp;<i>(Zeichen verbleibend: ' + ( length - textarea.value.length ) + ')</i></span>';
					if ( invalidChar !== '' )
						{
							alert ( 'Ungültiges Zeichen in der Eingabe:\n' + String.fromCharCode ( invalidChar ) );
						}
					
				}

		</script>

<?php

    echo "    </head>\n";

	

	

    echo "    <body>\n";

    echo "        <div id=\"frame\">\n";

	echo "        <div id=\"page\">\n";

    echo "            <div id=\"header_box\">\n"; // Oben der Header

	echo "                <div id=\"header2\">\n";

	include "header.php";

	echo "                </div>\n";

    echo "            </div>\n";

    echo "        <div id=\"main\">\n"; // ganz oberer Div-Holder

	echo "            <div id=\"wrap\">\n";





	echo "                <div id=\"links_box\">\n";

	echo "                    <div id=\"links\">\n";

	include "left.php";

	echo "                    </div>\n";

	echo "                </div>\n";

	echo "                <div id=\"inhalt_box\">\n";

	echo "                    <div id=\"inhalt\">\n";

    include "inhalt.php";

    echo "                    </div>\n";

	echo "                </div>\n";

	echo "                <br class=\"noDisplay\" /><hr class=\"noDisplay\" />\n";

	echo "            </div>\n";

	echo "        </div>\n";

    echo "    </body>\n";

    echo "</html>\n";

?>